PUT /api/v3/accountmeter/{accountMeterId}/template

Edit all FormTemplate relationships

EditFormTemplateListV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountMeterId integer (int32) Required

Request Body

Array of:

FormTemplateRequest
Property Description Type
beginDate The begin date of the template assignment Required Required string (date-time)
templateId The identifier for the template being assigned Required Required integer (int32)
Example Request Body application/json
[
  {    "beginDate": "2026-03-30",    "templateId": 1
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

FormTemplateResponse
Property Description Type
beginDate The begin date of the template assignment Required (defined) string (date-time)
displayOrder The display order for the bill entry screen Required (defined) integer (int32)
endDate The end date of the template assignment Required (defined) string (date-time)
formTemplateId The identifier for the template assignment Required (defined) integer (int32)
template TemplateChild
TemplateChild properties
Property Description Type
templateCode string
templateId integer (int32)
templateInfo string
Example Response application/json
[
  {    "beginDate": "2026-03-30",    "displayOrder": 1,    "endDate": "2026-03-30",    "formTemplateId": 1,    "template": {      "templateCode": "string",      "templateId": 1,      "templateInfo": "string"
    }
  }
]